#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 jose
version:              0.8.3
visibility:           public
id:                   jose-0.8.3-IW5nd5I3aUy1a4PAE9MfAo
key:                  jose-0.8.3-IW5nd5I3aUy1a4PAE9MfAo
license:              Apache-2.0
copyright:            Copyright (C) 2013-2018  Fraser Tweedale
maintainer:           frase@frase.id.au
author:               Fraser Tweedale
homepage:             https://github.com/frasertweedale/hs-jose
synopsis:
    Javascript Object Signing and Encryption and JSON Web Token library

description:

    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.

    The JSON Web Signature (JWS; RFC 7515) implementation is complete.

    EdDSA signatures (RFC 8037) are supported (Ed25519 only).

    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).

    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.

    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.

category:             Cryptography
abi:                  dbce4f985c993cd88a4061bb89b96113
exposed:              True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT

hidden-modules:
    Crypto.JOSE.TH Crypto.JOSE.Types.Internal Crypto.JOSE.Types.Orphans

import-dirs:          /usr/lib/ghc-8.10.1/site-local/jose-0.8.3
library-dirs:         /usr/lib/ghc-8.10.1/site-local/jose-0.8.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.1/jose-0.8.3
hs-libraries:         HSjose-0.8.3-IW5nd5I3aUy1a4PAE9MfAo
depends:
    QuickCheck-2.14.1-1CXUIWIkWxZ4yMR6Umgq57
    aeson-1.5.3.0-otLRtC5gX1JmoTwFxL1re
    attoparsec-0.13.2.4-9VgtT9nUy8gHHw0166EHAk base-4.14.0.0
    base64-bytestring-1.1.0.0-8y61mVV5S4e9MKNrBj6koR
    bytestring-0.10.10.0 concise-0.1.0.1-K48S4yYj0vn5NpfvjFmhzT
    containers-0.6.2.1 cryptonite-0.27-KrgyisRA3hE36npKAVbN1W
    lens-4.19.2-J6DtgKHUS0DERy0VOUlOku
    memory-0.15.0-EuehB4FMe9b5ts9dSjTFQ5
    monad-time-0.3.1.0-84MCUAc3IH8GGiNW9Jclvr mtl-2.2.2
    network-uri-2.6.3.0-5m5xwO6zbqG4qSY55c0OLN
    quickcheck-instances-0.3.24-D4sv4ofYGy8JcLXrFm4dEn
    safe-0.3.19-CK0lfIX5mWD7fu30IXX07t template-haskell-2.16.0.0
    text-1.2.3.2 time-1.9.3
    unordered-containers-0.2.12.0-8JXKszpgMXuybqLOiZpMH
    vector-0.12.1.2-KotqULZza37AeFlfLxbJau
    x509-1.7.5-HmjI3qDq55mCHvmCXqmpjC

haddock-interfaces:   /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html:         /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

